FoxData Open API
My License
My License
  1. 1. application Services
  • I. Quick Start
    • 1. API Overview
    • 2. Quick Start
    • 3. Authorization
    • 4. Request & Response
    • 5. Rate Limiting
  • II. List of Interfaces
    • 1. application Services
      • 1001-App-Basic Info
        POST
      • 1002-App-Extended Info
        POST
      • 1003-App-Visibility Score
        POST
      • 1004-App-Apps by Same Developer
        POST
      • 1005-App-Ranking History
        POST
      • 1006-App-Featured Recommendations
        POST
      • 1007-App-Ratings & Reviews
        POST
      • 1008-App-Version History
        POST
      • 1009-App-Competitor Comparison
        POST
      • 1010-App-Competitor Bidding
        POST
      • 1011-App-Covered Keywords
        POST
      • 1012-App-Keyword Expansion
        POST
      • 1013-App-Bidding Keywords
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Initiation
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Retrieval
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Data Retrieval
        POST
      • 1015-App-CPP Ad Creatives
        POST
      • 1016-App-App Tags
        POST
      • 1017-App-Download & Revenue Estimates
        POST
      • 1018-App-Smart Keyword Recommendations
        POST
      • 1019-App-Active Users
        POST
      • 1020-App-Basic Info (Advanced)
        POST
      • 1021-App-CPP Keywords
        POST
    • 2. Market Services
      • 2001-Market-Realtime Charts
      • 2002-Market-Global Chart Analysis
      • 2003-Market-Search Volume Charts
      • 2004-Market-Download & Revenue Charts
      • 2005-Market-Active Users & Customers
      • 2006-Market-App Release Monitoring
      • 2007-Market-Cleared Keyword Monitoring
      • 2008-Market-Cleared Ranking Monitoring
      • 2009-Market-App Delisting Monitoring
    • 3. ASA Services
      • 3001-Ad-Bidding Apps
      • 3002-Ad-Bidding Keywords
      • 3003-Ad-Bidding Keyword Analysis
      • 3004-Ad-CPPs
      • 3005-ASA Tab Rate Task
      • 3005-ASA Tab Rate Result
    • 4. Kerword research Services
      • 4001-Keyword Search
      • 4002-Keyword Expansion
      • 4003-Keyword Search Details
      • 4004-App-App Keywords
    • 9. Other Services
      • 9001-Paginated Query API
  • III. Data Dictionary and Definitions
    • 1. Application Classification Code
    • 2. Time and Location Information
    • 3. Regional Language Comparison Chart
    • 4. Explanation of Data Update Frequency
  • IV. Appendix
    • 1. Release Notes
    • 2. FAQ
    • 3. Contact and Support
  1. 1. application Services

1007-App-Ratings & Reviews

POST
/app/rating-comment
Query app ratings and reviews (current rating, trends, review details, etc.).

Request

Authorization
Add parameter in header
x-openapi-key
Example:
x-openapi-key: ********************
Body Params application/json

Example
{
  "store": "GP",
  "appId": "com.kiloo.subwaysurf",
  "metrics": [
    "REVIEWS"
  ],
  "deleted": true,
  "star": [
    5
  ],
  "region": "US",
  "start": "2025-09-26",
  "end": "2025-09-28",
  "reply": true
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.foxdata.com/apiv1/open-api/app/rating-comment' \
--header 'x-openapi-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "store": "GP",
  "appId": "com.kiloo.subwaysurf",
  "metrics": [
    "REVIEWS"
  ],
  "deleted": true,
  "star": [
    5
  ],
  "region": "US",
  "start": "2025-09-26",
  "end": "2025-09-28",
  "reply": true
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
  "requestParam": {
    "appId": "com.kiloo.subwaysurf",
    "region": "US",
    "metrics": [
      "RATING",
      "REVIEWS"
    ],
    "start": "2025-09-26",
    "end": "2025-09-28",
    "star": [
      5
    ],
    "reply": true,
    "deleted": true
  },
  "result": {
    "appId": "com.kiloo.subwaysurf",
    "title": "Subway Surfers",
    "icon": "https://image2.foxdata.com/gp-proxy/FVWs-cooG28tz3GuKSaBKW_Rp91wLJxGxlmB9et_r-chKrjWpvXGxtRJWQi0QKithdM",
    "rating": [
      {
        "date": "2025-09-28",
        "num": 4.6,
        "stars": [
          {
            "star": 1,
            "num": 2317318,
            "per": 0.06
          },
          {
            "star": 2,
            "num": 699365,
            "per": 0.02
          },
          {
            "star": 3,
            "num": 1482987,
            "per": 0.04
          },
          {
            "star": 4,
            "num": 4431787,
            "per": 0.11
          },
          {
            "star": 5,
            "num": 33186077,
            "per": 0.79
          }
        ],
        "records": [
          {
            "star": 1,
            "num": -70
          },
          {
            "star": 2,
            "num": -240
          },
          {
            "star": 3,
            "num": -274
          },
          {
            "star": 4,
            "num": -538
          },
          {
            "star": 5,
            "num": -161
          }
        ]
      }
    ],
    "reviews": [
      {
        "star": 5,
        "user": "Binam Bajgain",
        "content": "nice game 🎮🎮🎮 nensssnns",
        "date": 1758909150000,
        "version": "3.52.2",
        "deleted": true,
        "reply": {
          "content": "Hey Binam Bajgain! We're really happy to hear you enjoy the game! If you have any specific feedback or run into any issues, please reach out to our support team at reviews@sybogames.com. Your insights are super valuable to us! Thanks for being a part of our community!",
          "date": 1758910650000
        },
        "helpfulCount": 0
      }
    ]
  },
  "creditsCost": {
    "requestCredits": 0,
    "baseCredits": 12,
    "extraCredits": 0,
    "totalCostCredits": 12
  },
  "next": {
    "taskId": "c95097f2-a7d9-4883-9c70-a6858c4b7906",
    "pageKey": "2"
  }
}
Modified at 2026-06-25 05:44:00
Previous
1006-App-Featured Recommendations
Next
1008-App-Version History
Built with